Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.keydepot
Interface KeyDepotManager

All Known Implementing Classes:
  KeyDepotManagerImpl

    public interface KeyDepotManager

Interface for KeyDepotManager
In order to use ETEE service, the sender has to search the ETK in the ETK Depot via the getETK method, which is based on specific input criteria that identify the to-be-found ETK of the receiver uniquely.
The ETK Depot is accessible via an eHealth web service. The web service URL for the ETEE getETK web service can be obtained by contacting the eHealth platform. You will require an eHealth authentication certificate to access it.

Factory : `KeyDepotManagerFactory`

Nested Class Summary
`static class` | `KeyDepotManager.EncryptionTokenType`

Method Summary
`EncryptionToken` | `getEncryptionETK()` Deprecated. replaced by`KeyDepotManager#getETK(EncryptionTokenType.ENCRYPTION)`
`EncryptionToken` | `getEtk(IdentifierType identifierType, Long identifierValue, String application)` Deprecated.
`EncryptionToken` | `getETK(IdentifierType identifierType, Long identifierValue, String application)` Gets the `EncryptionToken` based on the input parameters
`EncryptionToken` | `getETK(KeyDepotManager.EncryptionTokenType type)` Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.
`Set<EncryptionToken>` | `getETKs(IdentifierType identifierType, Long identifierValue, String application)` Gets the a `Set` of `EncryptionToken` based on the input parameters.
`Set<EncryptionToken>` | `getEtkSet(IdentifierType identifierType, Long identifierValue, String application)` Deprecated.
`EncryptionToken` | `getHolderOfKeyETK()` Deprecated. replaced by`KeyDepotManager#getETK(EncryptionTokenType.HOLDER_OF_KEY)`
`void` | `setKeyDepotService(KeyDepotService service)` Method to override the `KeyDepotService` used by the manager.

Method Detail

### getHolderOfKeyETK

    @Deprecated
    EncryptionToken getHolderOfKeyETK()
                                      throws TechnicalConnectorException

  Deprecated. replaced by`KeyDepotManager#getETK(EncryptionTokenType.HOLDER_OF_KEY)`

  Gets the `EncryptionToken` linked with the Holder-Of Key credential

  Throws:
    `TechnicalConnectorException`

### getEncryptionETK

    @Deprecated
    EncryptionToken getEncryptionETK()
                                     throws TechnicalConnectorException

  Deprecated. replaced by`KeyDepotManager#getETK(EncryptionTokenType.ENCRYPTION)`

  Gets the `EncryptionToken` linked with the Encryption credential

  Throws:
    `TechnicalConnectorException`

### getETK

    EncryptionToken getETK(KeyDepotManager.EncryptionTokenType type)
                           throws TechnicalConnectorException

  Gets the `EncryptionToken` linked with the given EncryptionTokenType parameter.

  Throws:
    `TechnicalConnectorException`

### getETK

    EncryptionToken getETK(IdentifierType identifierType,
                           Long identifierValue,
                           String application)
                           throws TechnicalConnectorException

  Gets the `EncryptionToken` based on the input parameters

  Throws:
    `TechnicalConnectorException`

### getEtk

    @Deprecated
    EncryptionToken getEtk(IdentifierType identifierType,
                                      Long identifierValue,
                                      String application)
                           throws TechnicalConnectorException

  Deprecated.

  Throws:
    `TechnicalConnectorException`

### getETKs

    Set<EncryptionToken> getETKs(IdentifierType identifierType,
                                 Long identifierValue,
                                 String application)
                                 throws TechnicalConnectorException

  Gets the a `Set` of `EncryptionToken` based on the input parameters.

  Throws:
    `TechnicalConnectorException`

### getEtkSet

    @Deprecated
    Set<EncryptionToken> getEtkSet(IdentifierType identifierType,
                                              Long identifierValue,
                                              String application)
                                   throws TechnicalConnectorException

  Deprecated.

  Throws:
    `TechnicalConnectorException`

### setKeyDepotService

    void setKeyDepotService(KeyDepotService service)

  Method to override the `KeyDepotService` used by the manager.

  Default: `ServiceFactory.getKeyDepotService()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.